classification
Title: Typo reports on docs@
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: ZooDSS, cheryl.sabella, divyag, docs@python, eric.smith, geoffreyspear, mdk, miss-islington, zach.ware
Priority: normal Keywords: easy, patch

Created on 2018-09-14 16:49 by zach.ware, last changed 2019-05-15 11:59 by cheryl.sabella. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13120 merged divyag, 2019-05-06 17:32
PR 13279 closed miss-islington, 2019-05-13 13:05
PR 13281 merged matrixise, 2019-05-13 13:17
Messages (10)
msg325362 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-09-14 16:49
From ZooDSS (Никита Люшненко) on docs@:

https://mail.python.org/pipermail/docs/2018-September/037223.html :
"""
https://docs.python.org/3/reference/datamodel.html#metaclass-example - 
    "uses an collections.OrderedDict to remember" when it is better to use "uses a collections.OrderedDict to remember"

https://docs.python.org/3/reference/executionmodel.html#exceptions
"Exceptions are a means" - Is it correct to use "a" here? "means" means a lot of them. "a" means one.

"In either case, it prints a stack backtrace" - most of the time in Python documentation term "traceback" is used instead of "backtrace". It may mislead newcomers, so they will think, that this is potentially a new term.

https://docs.python.org/3/reference/expressions.html#yield-expressions
"Due to their side effects on the containing scope, yield expressions are not permitted as part of the implicitly defined scopes used to implement comprehensions and generator expressions (in Python 3.7, such expressions emit DeprecationWarning when compiled, in Python 3.8+ they will emit SyntaxError).." - two periods in the end of the sentence.

https://docs.python.org/3/reference/expressions.html#yield-expressions
"...or automatically when the sub-iterator is a generator (by returning a value from the sub-generator)." - inconsistent use of "sub-iterator" term. Previously subiterator was referenced several times as "subiterator" not "sub-iterator".

If i understood something wrong, then i am sorry.
"""

https://mail.python.org/pipermail/docs/2018-September/037224.html :
"""
https://docs.python.org/3/reference/expressions.html#yield-expressions

Term "sub-generator" is used in PEP 280 without dash ("-") symbol - "subgenerator". At the same time it is used as "sub-generator" 2 times on this page:

"generator (by returning a value from the sub-generator)." - here.

"The proposal to introduce the yield_from syntax, making delegation to sub-generators easy." - and here.
"""

https://mail.python.org/pipermail/docs/2018-September/037237.html :
"""
https://docs.python.org/3/reference/expressions.html#asynchronous-generator-functions
"function as a asynchronous generator function." - it's better to say "function as an asynchronous generator function."

https://docs.python.org/3/reference/expressions.html#agen.__anext__
"When an asynchronous generator function is resumed with a __anext__() method" - may be better "...function is resumed with an __anext__() method".

"the awaitable instead raises an StopAsyncIteration exception" - at the same time here may be better to use "the awaitable instead raises a StopAsyncIteration exception".

https://docs.python.org/3/reference/expressions.html#agen.athrow
"an StopAsyncIteration exception is raised" - here is the same situation as previously. "a" instead of "an" may be better.

Here goes very special case, and if i am wrong you can laugh on me as much as you wish! =)

https://docs.python.org/3/reference/expressions.html#parenthesized-forms
"Since tuples are immutable, the rules for literals apply" - Tuples are immutable, but not literals. So may be "the same rules as for literals apply" is better? Or does it apply exactly those rules, that apply for literals? "()" - this is a literal, that yelds an empty tuple. But this doesn't connect, or i am wrong? If i am - then i am very sorry.

Again, if i mistook something - i am sorry. Thanks for the good work. This is the best documentation i've ever seen.
"""
msg325363 - (view) Author: Geoffrey Spear (geoffreyspear) * Date: 2018-09-14 16:58
"Means" is perfectly acceptable to use as a singular form: http://grammarist.com/usage/means/ (the rest of these all look like legitimate typos)
msg325374 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2018-09-14 17:50
Agreed with @geoffreyspear: "means" is okay, the rest of the changes look good.
msg325492 - (view) Author: ZooDSS (ZooDSS) Date: 2018-09-16 15:01
Wanted to add a little bit more, but didn't know where to, so here it goes.

https://docs.python.org/3/reference/expressions.html#membership-test-operations

"The operator not in is defined to have the inverse true value of in." may be better to use "... the inverse truth value of in." as it is used in the next section, for identity comparisons explanation:

"x is not y yields the inverse truth value."


https://docs.python.org/3/reference/expressions.html#is-not

In this section "object identity" is used two times. May be better to say "object's identity", as identity is a part of an object. Object has identity.

"...test for object identity" - here.
"Object identity is determined..." - and here.
msg326992 - (view) Author: ZooDSS (ZooDSS) Date: 2018-10-03 16:26
Found new one.

https://docs.python.org/3/reference/lexical_analysis.html#comments
"Comments are ignored by the syntax; they are not tokens." - I honestly think, that this is misleading, by the fact that we have next words.

https://docs.python.org/3/library/token.html#token.COMMENT
"Token value used to indicate a comment." - this means, that system mentions the comment as a token, but still ch.2 of LR says backwards. May be I am wrong. Correct me, please.
msg341504 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-05-06 14:08
This is a good first issue even though there are multiple changes.  Some of the changes are no longer needed since the docs have changed, so please check the current comments and the current docs to see what still needs to be applied.
msg341506 - (view) Author: Divya Gorantla (divyag) * Date: 2019-05-06 14:23
I'll be working on this issue
msg342325 - (view) Author: miss-islington (miss-islington) Date: 2019-05-13 13:05
New changeset 778a9107586e29421af3a08209cf0b557c1fe5bc by Miss Islington (bot) (divyag9) in branch 'master':
bpo-34682: Wording and grammatical changes to the doc(https://docs.python.org/3) (GH-13120)
https://github.com/python/cpython/commit/778a9107586e29421af3a08209cf0b557c1fe5bc
msg342328 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-05-13 13:48
New changeset 074d7c44a474680122ed869bb6be89c1f4f18f12 by Julien Palard (Stéphane Wirtel) in branch '3.7':
[3.7] bpo-34682: Wording and grammatical changes to the doc(https://docs.python.org/3) (GH-13120) (GH-13281)
https://github.com/python/cpython/commit/074d7c44a474680122ed869bb6be89c1f4f18f12
msg342568 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-05-15 11:59
Thank you @divyag for the patch and thank you @matrixise for the backport!
History
Date User Action Args
2019-05-15 11:59:42cheryl.sabellasetstatus: open -> closed
resolution: fixed
messages: + msg342568

stage: patch review -> resolved
2019-05-13 13:48:55mdksetnosy: + mdk
messages: + msg342328
2019-05-13 13:17:53matrixisesetpull_requests: + pull_request13187
2019-05-13 13:05:31miss-islingtonsetpull_requests: + pull_request13185
2019-05-13 13:05:22miss-islingtonsetnosy: + miss-islington
messages: + msg342325
2019-05-06 17:32:11divyagsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13033
2019-05-06 14:23:12divyagsetnosy: + divyag
messages: + msg341506
2019-05-06 14:08:43cheryl.sabellasetversions: - Python 2.7, Python 3.6
nosy: + cheryl.sabella

messages: + msg341504

keywords: + easy
type: enhancement
2018-10-03 16:26:25ZooDSSsetmessages: + msg326992
2018-09-16 15:01:00ZooDSSsetnosy: + ZooDSS
messages: + msg325492
2018-09-14 17:50:23eric.smithsetnosy: + eric.smith
messages: + msg325374
2018-09-14 16:58:37geoffreyspearsetnosy: + geoffreyspear
messages: + msg325363
2018-09-14 16:49:47zach.warecreate